$(document).ready(function() {


    if ($("#m665").val() != 1) {

        $(".delete-user").click(function () {
            var id = $(this).parent().siblings(".user-id").text();
            var currentUserID = $("#current-user-id").val();
            var body = areYouSureDeleteMessage;
            if (id == currentUserID) {
                var deleteSelf = $("<strong/>").append($("<div/>").append(deleteSelfMessage)).css("color", "#FF5753");
                body = $("<div/>").append(deleteSelf).append(body);
            }
            verifyModal({
                title: areYouSureTitle,
                body: body,
                onYes: function () {
                    $('#loading-indicator').show();
                    jQuery.ajax({
                        url: "/security/users/" + id,
                        type: "DELETE",
                        complete: function () {
                            $("#loading-indicator").hide();
                        },
                        success: function (data, textStatus, jqXHR) {
                            console.log(data, textStatus, jqXHR);
                            location.reload();
                        },
                        error: function (jqXHR, textStatus, errorThrown) {
                            console.log(jqXHR, textStatus, errorThrown);
                            var response = jqXHR.responseJSON;

                            displayStatusModal({
                                title: response.Header,
                                body: response.Message
                            });

                        }
                    });
                }
            });
        });

    }

    $("#reset-default").click(function() {
        verifyModal({
            title: areYouSureTitle,
            body: areYouSureResetMessage,
            onYes: function() {
                $('#loading-indicator').show();
                jQuery.ajax({
                    url:"/security/users/reset",
                    type:"POST",
                    complete: function () {
                        location.reload();
                        
                    }
                });
            }
        });
    });
    
});

